
From: NeilBrown <neilb@cse.unsw.edu.au>

The DONT_DELEGATE flag is superfluous.

Signed-off-by: J. Bruce Fields <bfields@citi.umich.edu>
Signed-off-by: Neil Brown <neilb@cse.unsw.edu.au>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/nfsd/nfs4state.c |    8 ++------
 1 files changed, 2 insertions(+), 6 deletions(-)

diff -puN fs/nfsd/nfs4state.c~nfsd4-simplify-open_delegation fs/nfsd/nfs4state.c
--- 25/fs/nfsd/nfs4state.c~nfsd4-simplify-open_delegation	2005-03-07 23:55:29.000000000 -0800
+++ 25-akpm/fs/nfsd/nfs4state.c	2005-03-07 23:55:29.000000000 -0800
@@ -1522,8 +1522,6 @@ nfs4_deleg_conflict(u32 share, u32 dtype
 		dtype == NFS4_OPEN_DELEGATE_WRITE));
 }
 
-#define DONT_DELEGATE  8
-
 /*
  * nfs4_check_deleg_recall()
  *
@@ -1544,7 +1542,7 @@ nfs4_check_deleg_recall(struct nfs4_file
 			if(nfs4_deleg_conflict(op->op_share_access, dp->dl_type))
 				status = nfserr_jukebox;
 			else
-				*flag = DONT_DELEGATE;
+				*flag = NFS4_OPEN_DELEGATE_NONE;
 		}
 	}
 	return status;
@@ -1663,10 +1661,8 @@ nfs4_open_delegation(struct svc_fh *fh, 
 	struct file_lock fl, *flp = &fl;
 	int status;
 
-	if (*flag == DONT_DELEGATE) {
-		*flag = NFS4_OPEN_DELEGATE_NONE;
+	if (*flag == NFS4_OPEN_DELEGATE_NONE)
 		return;
-	}
 
 	/* set flag */
 	*flag = NFS4_OPEN_DELEGATE_NONE;
_
